import { ArrayIteratee, ArrayNarrowingIteratee } from '../interfaces';
/**
 * Removes all elements from array for which `predicate` returns truthy, and returns an array of the removed elements.
 *
 * Differences from lodash:
 * - iterates over `array` in reverse order
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 14,075 bytes
 * - Micro-dash: 90 bytes
 */
export declare function remove<I, O>(array: I[], predicate: ArrayNarrowingIteratee<O>): O[];
export declare function remove<T>(array: T[], predicate: ArrayIteratee<T, boolean>): T[];
