/**
 * Creates an array excluding all given values.
 *
 * Differences from lodash:
 * - Uses triple equals rather than `SameValueZero`.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 5,650 bytes
 * - Micro-dash: 64 bytes
 */
export declare function without<T>(array: T[], ...values: T[]): T[];
