import { ArrayIteratee, ObjectIteratee } from '../interfaces';
/**
 * Iterates over elements of `collection` and invokes `iteratee` for each element. Iteratee functions may exit iteration early by explicitly returning `false`.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 3,797 bytes
 * - Micro-dash: 236 bytes
 */
export declare function forEach<T>(array: T[] | undefined, iteratee: ArrayIteratee<T, void | boolean>): T[];
export declare function forEach<T>(object: T, iteratee: ObjectIteratee<T, void | boolean>): T;
/** @hidden */
export declare function forEachOfArray<T>(array: T[], iteratee: ArrayIteratee<T, void | boolean>): void;
