import { IfCouldBe, Nil } from '../interfaces';
/**
 * This method is like `_.reduce` except that it iterates over elements of `collection` from right to left.
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 14,053 bytes
 * - Micro-dash: 357 bytes
 */
export declare function reduceRight<T extends any[] | Nil>(array: T, iteratee: (accumulator: NonNullable<T>[number], value: NonNullable<T>[number], index: number) => NonNullable<T>[number]): NonNullable<T>[number] | IfCouldBe<T, Nil, undefined>;
export declare function reduceRight<E, A>(array: E[] | Nil, iteratee: (accumulator: A, value: E, index: number) => A, accumulator: A): A;
export declare function reduceRight<T>(object: T, iteratee: (accumulator: NonNullable<T>[keyof NonNullable<T>], value: NonNullable<T>[keyof NonNullable<T>], key: keyof NonNullable<T>) => NonNullable<T>[keyof NonNullable<T>]): NonNullable<T>[keyof NonNullable<T>] | IfCouldBe<T, Nil, undefined>;
export declare function reduceRight<T, A>(object: T, iteratee: (accumulator: A, value: NonNullable<T>[keyof NonNullable<T>], key: keyof NonNullable<T>) => A, accumulator: A): A;
