/**
 * This method is like `set()` except that it accepts `updater` to produce the value to set.
 *
 * **Note:** This method mutates `object`.
 *
 * Differences from lodash:
 * - only accepts an array for `path`, not a dot-separated string
 * - does not handle `customizer` returning `undefined`
 *
 * Contribution to minified bundle size, when it is the only function imported:
 * - Lodash: 5,842 bytes
 * - Micro-dash: 192 bytes
 */
export declare function update<T>(object: T, path: Array<string | number>, updater: (val: any) => any): T;
